### Enumeration

# Gtk TextSearchFlags

#### Declaration

    flags Gtk.TextSearchFlags

#### Description [src]

Flags affecting how a search is done.

If neither `GTK_TEXT_SEARCH_VISIBLE_ONLY` nor `GTK_TEXT_SEARCH_TEXT_ONLY` are enabled, the match must be exact; the special 0xFFFC character will match embedded paintables or child widgets.

#### Members

`GTK_TEXT_SEARCH_VISIBLE_ONLY`

  Search only visible data. A search match may have invisible text interspersed.

  - Value: `1`
  - Available since: 4.0
`GTK_TEXT_SEARCH_TEXT_ONLY`

  Search only text. A match may have paintables or child widgets mixed inside the matched range.

  - Value: `2`
  - Available since: 4.0
`GTK_TEXT_SEARCH_CASE_INSENSITIVE`

  The text will be matched regardless of what case it is in.

  - Value: `4`
  - Available since: 4.0